#
# spec file for package python-mulpyplexer
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define pkg_version 0.9
Name:           python-mulpyplexer
Version:        0.09
Release:        2.1
Summary:        A module that multiplexes interactions with lists of python objects
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            https://github.com/zardus/mulpyplexer
Source:         https://files.pythonhosted.org/packages/source/m/mulpyplexer/mulpyplexer-%{version}.tar.gz
Source1:        https://github.com/zardus/mulpyplexer/raw/master/LICENSE
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Mulpyplexer is a piece of code that can multiplex interactions with lists of python objects.

%prep
%setup -q -n mulpyplexer-%{version}
[ -e LICENSE ] || cp %{SOURCE1} LICENSE

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%{python_sitelib}/mulpyplexer.py
%{python_sitelib}/mulpyplexer-%{pkg_version}*-info
%pycache_only %{python_sitelib}/__pycache__/mulpyplexer*

%changelog
* Mon Jun  2 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Thu Sep 29 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.0.9
  * Merge pull request #12 from FantasqueX/master
  * Transitioning from setup.py to setup.cfg
  * Merge pull request #11 from FantasqueX/master
  * refine build system to conform PEP 517 and PEP518
  * version bump
  * Merge pull request #9 from fabaff/patch-1
  * Add MANIFEST.in
  * Merge pull request #7 from tyb0807/feat/py3k
  * py3k compatible
  * Merge pull request #6 from rhelmot/master
  * Update for py3k compatibility
  * fix license metadata and tick version
  * Fixes #5 - I hereby relicense this as BSD
  * ... and turn them into properties
  * add mp_first and mp_last
  * add attributes to __dir__
  * print the original contents
  * ticked version
  * added reduce!
  * rename sort to sorted to make it clear that the MP isn't being changed
  * implement sorting
  * better print
  * bump for pip
  * Change setup.py. Fixes #4
  * added mp_filter, mp_flatten, and mp_union
  * Closes #2 - added mp_map
  * support setitem and setattr
  * fixed a bug with dir
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sun Apr 15 2018 afaerber@suse.de
- Initial (0.08)
